Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jmx.internal
Class JmxServiceInitiator

    java.lang.Object
      org.hibernate.service.jmx.internal.JmxServiceInitiator

All Implemented Interfaces:
  BasicServiceInitiator<JmxService>, ServiceInitiator<JmxService>

    public class JmxServiceInitiator

extends Object
implements BasicServiceInitiator<JmxService>

Standard initiator for the standard `JmxService` service

Field Summary
`static JmxServiceInitiator` | `INSTANCE`

Constructor Summary
`JmxServiceInitiator()`

Method Summary
`Class<JmxService>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`JmxService` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JmxServiceInitiator INSTANCE

Constructor Detail

### JmxServiceInitiator

    public JmxServiceInitiator()

Method Detail

### getServiceInitiated

    public Class<JmxService> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<JmxService>`
  Returns:
    The service role.

### initiateService

    public JmxService initiateService(Map configurationValues,
                                      ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<JmxService>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.